15 August
2011

apache 1.3.42 と mod_ssl 2.8.31

mod_ssl for apache 1.3.42

■背景
apache 1.3 系の final release である 1.3.42 です
が、対応する mod_ssl [official] を探そうにも、

Current Version: mod_ssl 2.8.31 for Apache 1.3.41
であり、1.3.42 版がありません。

■対応
src
 mod_ssl-2.8.31-1.3.41.tar.gz
の 1 file 中の 一文字を修正するだけで、apache 1.
3.42 に適用することができますので、下記にその手
順を残しておきます。

■手順
version の定義 file を修正します。手順は下記の通
り。
mv mod_ssl-2.8.31-1.3.4{1,2}
cd mod_ssl-2.8.31-1.3.42
vi pkg.sslmod/libssl.version

mod_ssl/2.8.31-1.3.41
↓下記に修正する
mod_ssl/2.8.31-1.3.42

■結果
上記修正(編集)後 configure の結果は、下記の通り。問題なく patch が適用されました。
unchor@rescue:/usr/local/src/apache/mod_ssl-2.8.31-1.3.42# ./configure \
> --with-apache=../apache_1.3.42
Configuring mod_ssl/2.8.31 for Apache/1.3.42
+ Apache location: ../apache_1.3.42 (Version 1.3.42)
+ Auxiliary patch tool: ./etc/patch/patch (local)
+ Applying packages to Apache source tree:
o Extended API (EAPI)
o Distribution Documents
o SSL Module Source
o SSL Support
o SSL Configuration Additions
o SSL Module Documentation
o Addons
Done: source extension and patches successfully applied.


Posted by unchor at 09:53 | Comments (0)
<< zope update にて COREBlog 動作せず | Main | apache 1.3.x の apache killer 対策 >>
Comments
There are no comments.
Post a comment